This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 731900 - Update hplip to newer version for increased hardware support.
Update hplip to newer version for increased hardware support.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: hplip (Show other bugs)
6.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
: Rebase
: 863404 (view as bug list)
Depends On:
Blocks: 782183 840699
  Show dependency treegraph
 
Reported: 2011-08-18 20:43 EDT by Gideon Mayhak
Modified: 2013-02-21 02:55 EST (History)
8 users (show)

See Also:
Fixed In Version: hplip-3.12.4-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gideon Mayhak 2011-08-18 20:43:05 EDT
Description of problem:
It looks like the hplip package could use another update to 3.11.x.  In particular, there is added support for some all-in-ones that I need to be able to use.

Version-Release number of selected component (if applicable):
hplip-3.10.9-3

Additional info:
This may be wildly inappropriate, since I don't actually have an RHEL license, but I do enjoy using Scientific Linux 6 on my wife's grandma's computer!  I also don't know what the update policy is for printer driver packages, so I don't know if this update is likely to happen anytime soon.
Comment 2 RHEL Product and Program Management 2011-08-18 21:07:51 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Tim Waugh 2011-08-19 04:17:24 EDT
3.11.7 adds support for 54 models over and over those supported in 3.10.9:

HP LaserJet 100 Color MFP m175
HP Officejet 100 Mobile l411
HP Photosmart Ink Adv k510
HP Designjet t790ps 24in
HP Designjet t790ps 44in
HP LaserJet cp1021
HP LaserJet cp1022
HP LaserJet cp1023
HP LaserJet cp1025
HP LaserJet cp1025nw
HP LaserJet cp1027nw
HP LaserJet cp1028nw
HP LaserJet Professional m1213nf Multifunction Printer
HP LaserJet Professional m1214nfh Multifunction Printer
HP LaserJet Professional m1216nfh MFP
HP LaserJet Professional m1219nf MFP
HP Designjet t1300 Postscript
HP LaserJet Professional cm1411fn
HP LaserJet Professional cm1412fn
HP LaserJet Professional cm1413fn
HP LaserJet Professional cm1415fnw
HP LaserJet Professional cm1415fn
HP LaserJet Professional cm1416fnw
HP LaserJet Professional cm1417fnw
HP LaserJet Professional cm1418fnw
HP LaserJet Professional cp1521n
HP LaserJet Professional cp1522n
HP LaserJet Professional cp1523n
HP LaserJet Professional cp1525nw
HP LaserJet Professional cp1525n
HP LaserJet Professional cp1526nw
HP LaserJet Professional cp1527nw
HP LaserJet Professional cp1528nw
HP LaserJet m1536dnf MFP
HP LaserJet m1537dnf MFP
HP LaserJet m1538dnf MFP
HP LaserJet m1539dnf MFP
HP Deskjet Ink Adv 2010 k010
HP Deskjet Ink Adv 2060 k110
HP Designjet t2300 Postscript
HP LaserJet p3011 Printer
HP Deskjet 3050a j611 Series
HP Designjet 4000ps
HP Color LaserJet cm4540 Multifunction Printer
HP LaserJet m4555 MFP
HP Color LaserJet cp5520 Series Printer
HP Designjet z6100ps 42in Photo
HP Designjet z6100ps 60in Photo
HP Designjet z6200ps 42in Photo
HP Designjet z6200ps 60in Photo
HP Officejet 6500 e710
HP Designjet t7100 Monochrome
HP Designjet t7100ps
HP Officejet Pro 8000 Enterprise a811a
Comment 6 Suzanne Yeghiayan 2012-02-14 18:13:54 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 Tim Waugh 2012-02-15 06:23:45 EST
Additional devices supported in 3.11.10:

- HP DeskJet 3070 B611 series
- HP Envy 110 e-All-in-One
- HP LaserJet Enterprise 500 Color M551
- HP OfficeJet Pro 8100 N811
- HP Officejet Pro 8600
- HP PhotoSmart 5510 e-All-in-One
- HP PhotoSmart 6510 e-All-in-one
- HP PhotoSmart 7510 e-All-in-One

Additional devices supported in 3.11.12:

- HP LaserJet Enterprise 600 M601n
- HP LaserJet Enterprise 600 M601dn
- HP LaserJet Enterprise 600 M602n
- HP LaserJet Enterprise 600 M602dn
- HP LaserJet Enterprise 600 M602x
- HP LaserJet Enterprise 600 M603n
- HP LaserJet Enterprise 600 M603dn
- HP LaserJet Enterprise 600 M603xh
- HP LaserJet 200 color MFP M275nw
- HP LaserJet 200 color MFP M275s
- HP LaserJet 200 color MFP M275t
- HP LaserJet 200 color MFP M275u
- HP Photosmart 5510d e-All-in-One

Additional devices supported in 3.12.2:

- HP LaserJet Pro 300 color MFP M375nw
- HP LaserJet Pro 400 color MFP M475dn
- HP LaserJet Pro 400 color MFP M475dw
- HP LaserJet Pro 300 color M351a
- HP LaserJet Pro 400 color M451nw
- HP LaserJet Pro 400 color M451dn
- HP LaserJet Pro 400 color M451dw
- HP Color LaserJet CP1217
- HP LaserJet Pro P1108 Printer
- HP LaserJet Pro P1106 Printer
- HP LaserJet Pro P1102s Printer
Comment 11 RHEL Product and Program Management 2012-07-10 02:10:13 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 RHEL Product and Program Management 2012-07-10 19:22:41 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 13 Martin Poole 2012-07-19 10:08:48 EDT

HPLIP 3.12.4

- HP LaserJet Pro CP 1025nw Color Printer
- HP LaserJet Pro CP 1025 Color Printer
- HP OfficeJet 6100 ePrinter - H611a
- HP Officejet 6600 e-All-in-One Printer - H711a
- HP Officejet 6700 Premium e-All-in-One Printer - H711n
- HP LaserJet Pro P1102s Printer
- HP LaserJet Pro M1132s Multifunction Printer


HPLIP 3.12.6

- HP DeskJet Ink Advantage 2510 All-in-One Series
- HP DeskJet Ink Advantage 3525 e-All-in-One
- HP DeskJet Ink Advantage 4610 All-in-One Series
- HP DeskJet Ink Advantage 4620 e-All-in-One Series
- HP DeskJet Ink Advantage 5525 e-All-in-One
- HP DeskJet 2510 All-in-One Series
- HP DeskJet 3520 e-All-in-One Series
- HP OfficeJet 4610 All-in-One Series
- HP OfficeJet 4620 e-All-in-One Series
- HP Photosmart 5520 e-All-in-One Series
- HP LaserJet 400 M401
- HP LaserJet 400 MFP M425 Series
- HP LaserJet Enterprise 500 MFP M525 Series
- HP LaserJet Enterprise 500 Color MFP M575 Series
- HP LaserJet Professional P 1102w Printer
- HP LaserJet Professional P1107w Printer
- HP LaserJet Professional P1107 Printer
- HP LaserJet Professional P1109w Printer
- HP LaserJet Professional P1109 Printer
- HP LaserJet Professional M1137 MFP
- HP LaserJet Professional M1138 MFP
- HP LaserJet Professional M1139 MFP
- HP LaserJet Professional P1567
- HP LaserJet Professional P1568
- HP LaserJet Professional P1569
- HP LaserJet Professional P1607dn Printer
- HP LaserJet Professional P1608dn Printer
- HP LaserJet Professional P1609dn Printer
Comment 15 Tim Waugh 2012-08-08 08:00:31 EDT
I believe HPLIP 3.12.6 has a substantial part of hpmud re-written compared with 3.12.4: see bug #844185 comment #3.  I would advise targetting 3.12.4 rather than 3.12.6.
Comment 18 Tim Waugh 2012-10-10 04:54:53 EDT
*** Bug 863404 has been marked as a duplicate of this bug. ***
Comment 19 Tim Waugh 2012-10-10 05:06:53 EDT
Support for printers added in 3.11.1 (missed out of previous lists):

- HP LaserJet Pro CP1020 Series
- HP LaserJet Pro M1213nf MFP
- HP LaserJet Pro CM1410 Series
- HP LaserJet M1536dnf MFP
- HP LaserJet M1537dnf MFP
- HP LaserJet M1538dnf MFP
- HP LaserJet M1539dnf MFP
- HP Color LaserJet CM4540 MFP
- HP Color LaserJet CP5520 Series
- HP Photosmart Ink Adv K510
- HP Deskjet Ink Adv 2010 K010
- HP Deskjet Ink Adv 2060 K110
- HP Officejet 6500 E710a-f

Additional printers for which support was added between 3.12.2 and 3.12.4:

- HP LaserJet Pro CP 1025nw Color Printer
- HP LaserJet Pro CP 1025 Color Printer
- HP OfficeJet 6100 ePrinter - H611a
- HP Officejet 6600 e-All-in-One Printer - H711a
- HP Officejet 6700 Premium e-All-in-One Printer - H711n
- HP LaserJet Pro P1102s Printer
- HP LaserJet Pro M1132s Multifunction Printer
Comment 23 errata-xmlrpc 2013-02-21 02:55:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0500.html

Note You need to log in before you can comment on or make changes to this bug.